Bug 241897 - databases/postgresql-odbc: fix build on GCC architectures
Summary: databases/postgresql-odbc: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Muhammad Moinur Rahman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-11 20:59 UTC by Piotr Kubaj
Modified: 2019-11-27 19:46 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (bofh)


Attachments
patch (649 bytes, patch)
2019-11-11 20:59 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (bofh)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-11-11 20:59:40 UTC
Created attachment 209074 [details]
patch

typeof() is GNU extension, so use -std=gnu11. Also switch to USE_CSTD.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-11-12 01:14:55 UTC
Approved as mentor (builds on ppcports) pending maintainer review.
Comment 2 Muhammad Moinur Rahman freebsd_committer 2019-11-26 05:04:11 UTC
Sorry for the delay but am having a bad time testing on my builders with a long time for gcc9. Will revert as soon as build finishes.
Comment 3 commit-hook freebsd_committer 2019-11-27 19:46:35 UTC
A commit references this bug:

Author: bofh
Date: Wed Nov 27 19:46:19 UTC 2019
New revision: 518527
URL: https://svnweb.freebsd.org/changeset/ports/518527

Log:
  databases/postgresql-odbc: Fix build on GCC architectures

  PR:		241897
  Submitted by:	pkubaz
  Approved by:	linimon
  MFH:		2019Q4 (runtime fix)

Changes:
  head/databases/postgresql-odbc/Makefile